Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
created_at,
-created_at
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • grantee_type: Filter grants by the grantee type
  • grantee_id: Filter grants by the grantee ID
  • organisation_in: Filter grants by the organisation ID
  • type: Filter grants by the grant type
  • subject: Filter grants by the subject
  • grantor_id: Filter grants by the grantor ID

For more information on using named filters, see the docs

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
grantee_job_role,
grantee_role_group,
grantee_service_account,
grantee_scheme_share,
grantee_team,
grantee_user,
grantor,
organisation

Response

Get a list of grants.

JSON API response object

data
object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a grant is returned

An organisation